
From: Adrian Bunk <bunk@stusta.de>

The patch below does the following cleanups in the MCA code:
- make some needlessly global code static
- remove three unused global functions from mca-legacy.c (two of them
  were EXPORT_SYMBOL'ed); this should IMHO be safe since mca-legacy
  is not an API drivers should move to

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/mca/mca-bus.c      |    2 -
 25-akpm/drivers/mca/mca-legacy.c   |   59 -------------------------------------
 25-akpm/drivers/mca/mca-proc.c     |    4 +-
 25-akpm/include/linux/mca-legacy.h |    5 ---
 4 files changed, 3 insertions(+), 67 deletions(-)

diff -puN drivers/mca/mca-bus.c~small-mca-cleanups-fwd drivers/mca/mca-bus.c
--- 25/drivers/mca/mca-bus.c~small-mca-cleanups-fwd	2004-11-28 00:46:26.578810792 -0800
+++ 25-akpm/drivers/mca/mca-bus.c	2004-11-28 00:46:26.586809576 -0800
@@ -34,7 +34,7 @@
 /* Very few machines have more than one MCA bus.  However, there are
  * those that do (Voyager 35xx/5xxx), so we do it this way for future
  * expansion.  None that I know have more than 2 */
-struct mca_bus *mca_root_busses[MAX_MCA_BUSSES];
+static struct mca_bus *mca_root_busses[MAX_MCA_BUSSES];
 
 #define MCA_DEVINFO(i,s) { .pos = i, .name = s }
 
diff -puN drivers/mca/mca-legacy.c~small-mca-cleanups-fwd drivers/mca/mca-legacy.c
--- 25/drivers/mca/mca-legacy.c~small-mca-cleanups-fwd	2004-11-28 00:46:26.580810488 -0800
+++ 25-akpm/drivers/mca/mca-legacy.c	2004-11-28 00:46:26.587809424 -0800
@@ -283,25 +283,6 @@ void mca_set_adapter_name(int slot, char
 EXPORT_SYMBOL(mca_set_adapter_name);
 
 /**
- *	mca_get_adapter_name - get the adapter description
- *	@slot:	slot to query
- *
- *	Return the adapter description if set. If it has not been
- *	set or the slot is out range then return NULL.
- */
-
-char *mca_get_adapter_name(int slot)
-{
-	struct mca_device *mca_dev = mca_find_device_by_slot(slot);
-
-	if(!mca_dev)
-		return NULL;
-
-	return mca_device_get_name(mca_dev);
-}
-EXPORT_SYMBOL(mca_get_adapter_name);
-
-/**
  *	mca_is_adapter_used - check if claimed by driver
  *	@slot:	slot to check
  *
@@ -365,43 +346,3 @@ void mca_mark_as_unused(int slot)
 }
 EXPORT_SYMBOL(mca_mark_as_unused);
 
-/**
- *	mca_isadapter - check if the slot holds an adapter
- *	@slot:	slot to query
- *
- *	Returns zero if the slot does not hold an adapter, non zero if
- *	it does.
- */
-
-int mca_isadapter(int slot)
-{
-	struct mca_device *mca_dev = mca_find_device_by_slot(slot);
-	enum MCA_AdapterStatus status;
-
-	if(!mca_dev)
-		return 0;
-
-	status = mca_device_status(mca_dev);
-
-	return status == MCA_ADAPTER_NORMAL
-		|| status == MCA_ADAPTER_DISABLED;
-}
-EXPORT_SYMBOL(mca_isadapter);
-
-/**
- *	mca_isenabled - check if the slot holds an enabled adapter
- *	@slot:	slot to query
- *
- *	Returns a non zero value if the slot holds an enabled adapter
- *	and zero for any other case.
- */
-
-int mca_isenabled(int slot)
-{
-	struct mca_device *mca_dev = mca_find_device_by_slot(slot);
-
-	if(!mca_dev)
-		return 0;
-
-	return mca_device_status(mca_dev) == MCA_ADAPTER_NORMAL;
-}
diff -puN drivers/mca/mca-proc.c~small-mca-cleanups-fwd drivers/mca/mca-proc.c
--- 25/drivers/mca/mca-proc.c~small-mca-cleanups-fwd	2004-11-28 00:46:26.581810336 -0800
+++ 25-akpm/drivers/mca/mca-proc.c	2004-11-28 00:46:26.588809272 -0800
@@ -43,8 +43,8 @@ static int get_mca_info_helper(struct mc
 	return len;
 }
 
-int get_mca_info(char *page, char **start, off_t off,
-		 int count, int *eof, void *data)
+static int get_mca_info(char *page, char **start, off_t off,
+			int count, int *eof, void *data)
 {
 	int i, len = 0;
 
diff -puN include/linux/mca-legacy.h~small-mca-cleanups-fwd include/linux/mca-legacy.h
--- 25/include/linux/mca-legacy.h~small-mca-cleanups-fwd	2004-11-28 00:46:26.583810032 -0800
+++ 25-akpm/include/linux/mca-legacy.h	2004-11-28 00:46:26.587809424 -0800
@@ -34,10 +34,6 @@
 extern int mca_find_adapter(int id, int start);
 extern int mca_find_unused_adapter(int id, int start);
 
-/* adapter state info - returns 0 if no */
-extern int mca_isadapter(int slot);
-extern int mca_isenabled(int slot);
-
 extern int mca_is_adapter_used(int slot);
 extern int mca_mark_as_used(int slot);
 extern void mca_mark_as_unused(int slot);
@@ -50,7 +46,6 @@ extern unsigned char mca_read_stored_pos
  * so we can have a more interesting /proc/mca.
  */
 extern void mca_set_adapter_name(int slot, char* name);
-extern char* mca_get_adapter_name(int slot);
 
 /* These routines actually mess with the hardware POS registers.  They
  * temporarily disable the device (and interrupts), so make sure you know
_
